# Introduction
```bash
#!/don't/panic
man 42
```
HitchHiker Linux is a very Unix-like distribution of Linux with a focus on
simplicity, elegance and providing a solid base that the end user can turn into
whatever they see fit.
## Core Principles:
* The default installation should include the bare minimum required software to provide a solid base.
* Complexity should be discouraged in favor of code elegance, security and maintainability.
* End users should not be discouraged from tinkering with their system.
* The distribution should make as few assumptions as possible regarding end use.
* While newer releases of software often eliminate bugs and vulnerabilities, newer software packages are not by default more secure than stable, mature packages (newer is not always better).
* Any changes to the core system functionality, especially those which change expected functionality, must be well justified and well vetted before deployment.
* The base installation should include everything required to rebuild itself from source.
* The distribution should make as few changes to the upstream software as possible, delivering it as intended by the original author.
* Patching of sources should only be done to fix bugs or vulnerabilities.

HHL was born of a desire to harness the greater hardware support of Linux while
paying respect to the Unix systems from which Linux was born. The author was a
long time user of FreeBSD who migrated to Arch for several years, but has become
increasingly frustrated with Systemd, Gnome, RedHat and Ubuntu dominance. It is
believed that there is a need for a distribution that does not pander to ease of
use for casual users at the expense of putting up roadblocks for experienced Unix
veterans.
## Architectures
HHL is running on the following processor architectures:
* x86 (minimum i486)
* x86_64
* armv7l
* aarch64
* riscv64
