# What's Included
* A full C and C++ development environment including compiler, headers and libraries.
* Up to date versions of kernel, base libraries and toolchain components.
* Where possible, BSD and historical Unix utilities have been incorporated.
* Full documentation is included for all included software.
* The HitchHiker build system is capable of bootstrapping itself from another
Linux distro or from HitchHiker itself, and is available for x86, Arm and RiscV
architectures.
# What's Missing
* Systemd - HitchHiker uses the S6 supervision suite and a minimal init.
* No installer - HitchHiker is installed using Unix command line tools present
on any Linux distribution.
* No apt, rpm, dnf, pacman, etc. HitchHiker uses NetBSD Pkgsrc for installing
extra software.
* No daemons beyond what is required to provide a functional command prompt are
started by default.
* No extra configuration is done to provide a "consistent look and feel" or any
such crap.
The Linux world is full of choices. Unfortunately, among the hundreds of installable
offerings the vast majority are "vanity distros" which are just a remix of another
distribution, with a different set of installed packages and a few cool wallpapers.

HitchHiker on the other hand is not based on any other distribution of Linux. It
is a fully independent offering which tracks the most recent releases of the Linux
kernel, Glibc, GCC etc. It's smaller userland utilities have been mostly ported
from BSD or implemented from scratch. It's source tree can compile the entire
operating system with a single command using Makefiles. We strive for an active
and independent presence and want to push open source into new and exciting
frontiers, such as RiscV, while paying homage to classic Unix. While there are
other offerings that cover some of the same territory (Arch, Gentoo) we felt that
there was space for something different.
